<script type="text/javascript">

      var aktualny_tab = '#tabs-1';
      var hashes = window.location.href.slice(window.location.href.indexOf('#'));

      if(hashes!='s')
      {
          aktualny_tab = hashes;
      }

  function zmien_tab(par)
  {
      aktualny_tab = par;
       //alert(aktualny_tab);
  }

</script>
<div class="content_title">Afilianci</div>
<?php

	$lata = $faktury;	

	if(!empty($lata))
	{
		$controler = $this->uri->segment(1);
		$function = $this->uri->segment(2);
		$param = $this->uri->segment(3);
		
		if(@$_POST['year']!=null)
		{
			$this->session->set_userdata('rok', $_POST['year']);
			$rok = $this->session->userdata['rok'];
		}
		else 
		{
			if (empty($this->session->userdata['rok']))
			{
				$this->session->set_userdata('rok', date("Y"));
				$rok = date("Y");
			}
			else
			{
				$rok = $this->session->userdata['rok'];	
			} 
		}
		
		$rok_array = array();	
		
		foreach($lata as $f)
		{		
			if(!in_array($f['year'],$rok_array)) $rok_array[]=$f['year'];
		}
		
        echo '<script type=\'text/javascript\'>document.write(\'<form action="/'.$controler.'/'.$function.'/'.$param.'\'+aktualny_tab+\'" method="post">\');</script>';
		echo '<table cellspacing="6">';
		echo '<tr><td><b>Zmień rok: </b>';									
		echo '<select name="year">';
			  foreach($rok_array as $r)
			  {
				  echo '<option value="'.$r.'"'; 
				  if ($r==$rok) echo 'selected="selected"'; 
				  echo '>'.$r.'</option>';	
			  } 	 
		echo '</select>';
		echo '</td><td>';										 
		echo '<input type="submit" value="wybierz" /> (aktualnie ustawiony rok '.$rok.')';	 
		echo '</td></tr></table>';	 
		echo '</form><br />';
	}

	if(!empty($switch_afiliant)) echo $switch_afiliant;
?>	
	<script type="text/javascript">
		      $(function() {
		  		$("#tabs").tabs();
		
		  	});
		</script>

     <div id="tabs">
		<ul>
			<li><a href="#tabs-1" onclick="zmien_tab('#tabs-1')">Dane Afilianta</a></li>
			<li><a href="#tabs-2" onclick="zmien_tab('#tabs-2')">Faktury VAT</a></li>
			<li><a href="#tabs-3" onclick="zmien_tab('#tabs-3')">Raporty wypłat - osoba prywatna</a></li>
			<li><a href="#tabs-4" onclick="zmien_tab('#tabs-4')">Dokumenty potwierdzające</a></li>
		</ul>
		<div id="tabs-1">
			<?php 
				//print_r($afiliant);
				if(!empty($afiliant))
				{
					echo '<table id="tablesorter-demo" class="tablesorter" border="0" cellpadding="0" cellspacing="1">
							<tr><th colspan="2">Dane klienta</th></tr>							
							<tr><td width="190">Nazwa firmy</td><td>'.$afiliant[0]['nazwa'].'</td></tr>
							<tr><td>Imię i nazwisko</td><td>'.$afiliant[0]['imie'].' '.$afiliant[0]['nazwisko'].'</td></tr>
							<tr><td>E-mail</td><td>'.$afiliant[0]['email'].'</td></tr>
							<tr><td>Telefon</td><td>'.$afiliant[0]['telefon'].'</td></tr>
							<tr><td>Typ konta</td><td>'.$afiliant[0]['typ'].'</td></tr>
							<tr><td>Pesel</td><td>'.$afiliant[0]['pesel'].'</td></tr>
							<tr><td>NIP</td><td>'.$afiliant[0]['nip'].'</td></tr>
							<tr><td>Miasto</td><td>'.$afiliant[0]['regon'].'</td></tr>
							<tr><td>Miasto</td><td>'.$afiliant[0]['miasto'].'</td></tr>
							<tr><td>Kod pocztowy</td><td>'.$afiliant[0]['kod_pocztowy'].'</td></tr>
							<tr><td>Ulica</td><td>'.$afiliant[0]['ulica'].'</td></tr>
							<tr><td>Numer budynku</td><td>'.$afiliant[0]['numer_domu'].'</td></tr>
							<tr><td>Numer lokalu</td><td>'.$afiliant[0]['nr_mieszkania'].'</td></tr>
							<tr><td>Numer konta</td><td>'.$afiliant[0]['nr_konta'].'</td></tr>
							<tr><td>Uwagi</td><td>'.$afiliant[0]['uwagi'].'</td></tr>
							<tr><td>Aktywne (1-tak,0-nie)</td><td>'.$afiliant[0]['active'].'</td></tr>
							<tr><td>Umowa (1-tak,0-nie)</td><td>'.$afiliant[0]['umowa'].'</td></tr>
							<tr><td>Dokumenty firma (1-tak,0-nie)</td><td>'.$afiliant[0]['dokumenty_firma'].'</td></tr>
							<tr><td>Dokumenty rachunek (1-tak,0-nie)</td><td>'.$afiliant[0]['dokumenty_osoba_prywatna'].'</td></tr>
							<tr><th colspan="2"><b>Dane korespondencyjne</b></th></tr>
							<tr><td>Miasto</td><td>'.$afiliant[0]['dk_miasto'].'</td></tr>
							<tr><td>Ulica</td><td>'.$afiliant[0]['dk_ulica'].'</td></tr>
							<tr><td>Kod pocztowy</td><td>'.$afiliant[0]['dk_kod_pocztowy'].'</td></tr>
							<tr><td>Numer budynku</td><td>'.$afiliant[0]['dk_nr_domu'].'</td></tr>
							<tr><td>Numer lokalu</td><td>'.$afiliant[0]['dk_nr_mieszkania'].'</td></tr>
							<tr><td>Telefon</td><td>'.$afiliant[0]['dk_telefon'].'</td></tr>
						  </table>';
				}
				else
				{
					 echo '<p class="info_box">Wybierz afilianta z listy rozwijanej aby zobaczyć jego dane</p>';
				}
			?>
		</div>
		<div id="tabs-2">
			<br />
			<?php 
			
				//$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
				
				//print_r($faktury);
				
				if(!empty($faktury))
				{
					$i=0;	
					foreach($faktury as $r)
					{
						if($r['year']==$rok and $r['typ']=='Firma')
						{
							//print_r($r);
                            $nr_tmp = '';                            
                            $typ_dostarczenia = '';

                            //numer platnosci
                            if(!empty($r['nr'])) $nr_tmp = $r['nr'];
                            else $nr_tmp = $r['numer_wlasny'];

                            //typ dostarczenia
                            if($r['typ_dostarczenia']=='online') $typ_dostarczenia = '<b>FV '.$nr_tmp.'</b> ('.$r['netto'].' zł netto) ('.$r['data_wystawienia'].')';
                            else $typ_dostarczenia = 'FV <b>samodzielnie z '.$r['data_wystawienia'].'</b> ('.$r['netto'].' zł netto)';

							echo '<div class="oplac_fakture"><a class="faktura_link_ks" href="/payments/faktura_ksiegowosc_pdf_afiliant/'.$r['id'].'/'.$afiliant[0]['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;'.$typ_dostarczenia.'</a>';
							
							if($r['zaplacono']==1 and $r['zatwierdzono']==1)
							{
								echo '<div class="green round_corners">opłacona&nbsp; &nbsp;</div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) >= date('Ymd')))
							{
								echo '<div class="orange round_corners">nie opłacona&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;"><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-2" onsubmit="return potwierdz()" method="post"><input type="hidden" name="afilianci_rolziczenia_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" class="green_button round_corners"/></form></div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) < date('Ymd')))
							{
								echo '<div class="red round_corners">nie opłacona, po terminie&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;cursor:pointer;"><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-2"  onsubmit="return potwierdz()" method="post"><input type="hidden" name="afilianci_rolziczenia_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" class="green_button round_corners"/></form></div>';
							}							
							echo '</div>';
							 
							$i++;
						}
					}
					if($i == 0) echo '<p class="info_box">Brak faktur afilianta za podany okres</p>';
				}
				else
				{
					echo '<p class="info_box">Brak faktur afilianta za podany okres</p>';
				}				
			?><br /><br />
		</div>
		<div id="tabs-3">
			<br />
			<?php 
			
				//$months = array('styczeń','luty','marzec','kwiecień','maj','czerwiec','lipiec','sierpień','wrzesień','październik','listopad','grudzień');
				
				//print_r($faktury);
				if(!empty($faktury))
				{
					$i=0;	
					foreach($faktury as $r)
					{
						if($r['year']==$rok and $r['typ']=='Osoba prywatna')
						{
							//print_r($r);
							echo '<div class="oplac_fakture"><a class="faktura_link_ks" href="/payments/rachunek_ksiegowosc_pdf_afiliant/'.$r['id'].'/'.$afiliant[0]['id'].'" target="_blank"><img src="/files/pdf.gif" alt="" border="0" align="middle" />&nbsp; &nbsp;<b>'.$r['nr'].'</b> ('.$r['netto'].' zł netto) ('.$r['data_wystawienia'].')</a>';
							
							if($r['zaplacono']==1 and $r['zatwierdzono']==1)
							{
								echo '<div class="green round_corners">opłacona&nbsp; &nbsp;</div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) >= date('Ymd')))
							{
								echo '<div class="orange round_corners">nie opłacona&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;"><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-3" onsubmit="return potwierdz_rach(this)" method="post">Data przelewu pieniędzy <input type="text" name="data" id="datepicker'.$i.'" name="data_platnosci" /><input type="hidden" name="afilianci_rolziczenia_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" class="green_button round_corners"/></form></div>';
							}
							elseif(($r['zaplacono']==0 or $r['zatwierdzono']==0) and (str_replace('-','',$r['termin_platnosci']) < date('Ymd')))
							{
								echo '<div class="red round_corners">nie opłacona, po terminie&nbsp; &nbsp;</div>
									  <br /> <div style="float:right;width:200px;cursor:pointer;"><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-3" onsubmit="return potwierdz_rach(this)" method="post">Data przelewu pieniędzy <input type="text" name="data" id="datepicker'.$i.'" name="data_platnosci" /><input type="hidden" name="afilianci_rolziczenia_id" value="'.$r['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź płatność" class="green_button round_corners"/></form></div>';
							}							
							echo '</div>';
							 
							$i++;
						}
					}
					//js podlaczajacy kalendarz pod inputy					
					echo '<script type="text/javascript">
							$(function() {';
							for($j=0;$j<$i;$j++){	
								echo '$("#datepicker'.$j.'").datepicker($.datepicker.regional[\'pl\']);';}								
					echo '});</script>';
					if($i == 0) echo '<p class="info_box">Brak rachunków afilianta za podany okres</p>';
				}
				else
				{
					echo '<p class="info_box">Brak rachunków afilianta za podany okres</p>';
				}	
			?><br /><br />
		</div>
		<div id="tabs-4">
			<br />
			<?php 
			//print_r($afiliant);
				if(!empty($afiliant))
				{
					echo '<table id="tablesorter-demo" class="tablesorter" border="0" cellpadding="0" cellspacing="1">
							<tr><th>Typ dokumentów</th><th>Stan</th><th>Potwierdzenie</th></tr>																					
							<tr><td width="200">';
                            if($afiliant[0]['typ']=='Firma')
                                echo '<b>Dokumenty firma (1-tak,0-nie)</b>';
                            else
                                echo 'Dokumenty firma (1-tak,0-nie)';
                            echo '</td><td>'.$afiliant[0]['dokumenty_firma'].'</td><td><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-4"  onsubmit="return potwierdz_dok1()" method="post"><input type="hidden" name="dok_firma" value="'.$afiliant[0]['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź/odmów dostarczenie dokumentów" class="green_button round_corners"/></form></td></tr>
							<tr><td>';
                            if($afiliant[0]['typ']=='Osoba prywatna')
                                echo '<b>Dokumenty osoba fizyczna nie prowadząca działalnośći gospodarczej (1-tak,0-nie)</b>';
                            else
                                echo 'Dokumenty osoba fizyczna nie prowadząca działalnośći gospodarczej (1-tak,0-nie)';

                           echo '</td><td>'.$afiliant[0]['dokumenty_osoba_prywatna'].'</td><td><form action="http://panel.networds.pl/ksiegowosc/afiliants/'.$this->uri->segment(3).'#tabs-4"  onsubmit="return potwierdz_dok2()" method="post"><input type="hidden" name="dok_rachunek" value="'.$afiliant[0]['id'].'" /><input style="cursor:pointer;" type="submit" name="ok" value="potwierdź/odmów dostarczenie dokumentów" class="green_button round_corners"/></form></td></tr>
						  </table>';
				}
				else
				{
					 echo '<p class="info_box">Wybierz afilianta z listy rozwijanej aby zobaczyć jego dane</p>';
				}
			?><br /><br />	
		</div>
	</div>	
	<script type="text/javascript">		
	
	  	function potwierdz(){	
			var answer = confirm("Czy napewno potwierdzić zapłątę za fakturę afilianta? Operacji nie będzie można cofnąć");
			if (answer){
				return true;
			}
			else{
				return false;
			}																	
		}	

	  	function potwierdz_rach(form){

		  	var wartos_daty = form.data.value;
		  	if(wartos_daty!='')
		  	{  		
				var answer = confirm("Czy napewno potwierdzić przelew za raport wypłaty afilianta? Operacji nie będzie można cofnąć");
				if (answer){
					return true;
				}
				else{
					return false;
				}
		  	}
		  	else
		  	{
			  	alert('Pole daty przelewu jest wymagane i podana w nim data musi być datą przelewu pieniędzy za raport');
			  	return false;
			}
			return false;  																		
		}

	  	
	  	function potwierdz_dok1(){	
			var answer = confirm("Czy napewno potwierdzić dostarczenie dokumentów wymaganych do wystawiania online faktur? ");
			if (answer){
				return true;
			}
			else{
				return false;
			}																	
		}

	  	function potwierdz_dok2(){	
			var answer = confirm("Czy napewno potwierdzić dostarczenie dokumentów wymaganych do wypłaty pieniędzy osobom nieprowadzącym działalności gospodarczej? ");
			if (answer){
				return true;
			}
			else{
				return false;
			}																	
		}
	</script>